! Scenario replication for
! Modeling the Biological Mechanisms that Determine the Dynamics of Stress Response of the Human Body
! Gizem Aktas
! ISDC 2018

! note: model should already be loaded (alone) before running script

SPECIAL>NOINTERACTION

! Trier Social Stimulus Test
! single episode
SIMULATE>RUNNAME|TSST
SIMULATE>SETVAL|Base Stress Level=12
MENU>RUN|o

! Daily stress
SIMULATE>RUNNAME|Daily Stress
SIMULATE>SETVAL|Base Stress Level=12
! stress ends day ten, producing 10 episodes
SIMULATE>SETVAL|Stress End=10.5
MENU>RUN|o

! 3-day stress
SIMULATE>RUNNAME|3 Day Stress
SIMULATE>SETVAL|Base Stress Level=12
SIMULATE>SETVAL|Stress Interval Days=3
SIMULATE>SETVAL|Stress End=30.5
MENU>RUN|o

! Probable Depression
SIMULATE>RUNNAME|Probable Depression
SIMULATE>SETVAL|Base Stress Level=50
MENU>RUN|o

! Replicate STELLA Probable Depression (different start time)
SIMULATE>RUNNAME|Replicate Prob Depress
SIMULATE>SETVAL|Base Stress Level=50
SIMULATE>SETVAL|Stress Start=0
SIMULATE>SETVAL|Stress End=0.5
MENU>RUN|o

! Earlier stress experience
SIMULATE>RUNNAME|Earlier Stress
SIMULATE>SETVAL|Early Stress Level=50
SIMULATE>SETVAL|Base Stress Level=12
SIMULATE>SETVAL|Stress Interval Days=30
SIMULATE>SETVAL|Stress End=60.5
SIMULATE>SETVAL|FINAL TIME=1000
MENU>RUN|o

! Replicate STELLA Probable Depression - first 48hr only
SIMULATE>RUNNAME|Replicate Prob Depress 48
SIMULATE>SETVAL|Base Stress Level=50
SIMULATE>SETVAL|Stress Start=0
SIMULATE>SETVAL|Stress End=0.5
SIMULATE>SETVAL|FINAL TIME=48
MENU>RUN|o


! Base run
SIMULATE>RUNNAME|No Stress
MENU>RUN|o

! Prep for manual exploration
SIMULATE>RUNNAME|test
